Bug 145989 - audio/qjackctl - jackd does not start from not root user
Summary: audio/qjackctl - jackd does not start from not root user
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-23 18:15 UTC by Ivan Klymenko
Modified: 2010-12-06 21:40 UTC (History)
0 users

See Also:


Attachments
file.diff (467 bytes, patch)
2010-04-23 18:15 UTC, Ivan Klymenko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan Klymenko 2010-04-23 18:15:43 UTC
If this option "realtime" is not specified in qjackctl, then tries to start jackd with realtime priority - that will not be successful for not root user. For the successful launch jackd should add the option "-r"

Fix: Patch attached with submission follows:
Comment 1 Stefan Walter freebsd_committer 2010-05-20 10:09:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->trasz

Assign to maintainer.
Comment 2 Edward Tomasz Napierala freebsd_committer 2010-10-26 06:21:46 UTC
Responsible Changed
From-To: trasz->freebsd-ports-bugs

Back to the queue; I'm no longer maintainer for this port.
Comment 3 dfilter service freebsd_committer 2010-11-17 10:35:17 UTC
arved       2010-11-17 10:35:11 UTC

  FreeBSD ports repository

  Modified files:
    audio/qjackctl       Makefile 
  Added files:
    audio/qjackctl/files patch-src-qjackctlMainForm.cpp 
  Log:
  Don't start jackd with realtime priority, unless specificed.
  While here makr MAKE_JOBS_UNSAFE
  bump PORTREVISION
  
  PR:             145989
  Submitted by:   Ivan Klymenko <fidaj@ukr.net>
  
  Revision  Changes    Path
  1.18      +2 -1      ports/audio/qjackctl/Makefile
  1.1       +17 -0     ports/audio/qjackctl/files/patch-src-qjackctlMainForm.cpp (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Tilman Keskinoz freebsd_committer 2010-11-17 10:35:18 UTC
State Changed
From-To: open->closed

committed, thanks